Write listing image ideas
curl --request POST \
--url https://makelocalads.com/api/v1/amazon-listing-ideas \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"product_id": "a1516a75-9be5-461a-93af-c1896a0a3127",
"marketplace": "us"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({product_id: 'a1516a75-9be5-461a-93af-c1896a0a3127', marketplace: 'us'})
};
fetch('https://makelocalads.com/api/v1/amazon-listing-ideas', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://makelocalads.com/api/v1/amazon-listing-ideas"
payload = {
"product_id": "a1516a75-9be5-461a-93af-c1896a0a3127",
"marketplace": "us"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"marketplace": "<string>",
"position": 123,
"slot_type": "main",
"title": "MAIN IMG",
"summary": "<string>",
"creative_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "idea",
"image_url": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "<string>",
"request_id": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "<string>",
"request_id": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "<string>",
"request_id": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "<string>",
"request_id": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "<string>",
"request_id": "<string>"
}Listing images
Write listing image ideas
Writes a fresh set of up to nine image ideas for a marketplace and answers once they are saved, which can take up to a minute. It replaces the saved ideas; a slot that already has an image keeps it. Free.
POST
/
amazon-listing-ideas
Write listing image ideas
curl --request POST \
--url https://makelocalads.com/api/v1/amazon-listing-ideas \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"product_id": "a1516a75-9be5-461a-93af-c1896a0a3127",
"marketplace": "us"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({product_id: 'a1516a75-9be5-461a-93af-c1896a0a3127', marketplace: 'us'})
};
fetch('https://makelocalads.com/api/v1/amazon-listing-ideas', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://makelocalads.com/api/v1/amazon-listing-ideas"
payload = {
"product_id": "a1516a75-9be5-461a-93af-c1896a0a3127",
"marketplace": "us"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"marketplace": "<string>",
"position": 123,
"slot_type": "main",
"title": "MAIN IMG",
"summary": "<string>",
"creative_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "idea",
"image_url": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "<string>",
"request_id": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "<string>",
"request_id": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "<string>",
"request_id": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "<string>",
"request_id": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "<string>",
"request_id": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
The saved ideas.
Show child attributes
Show child attributes
Last modified on September 30, 2026